%define _debugsource_template %{nil}
%define debug_package %{nil}
Name:           codaj12-jdec
Version:        1.0
Release:        1.jh7110%{?dist}
Summary:        OpenOMX  JPG decoder library.(JH7110 Video decoder library)
License:        MIT
URL:            https://github.com/starfive-tech/
Source0:        codaj12-jdec.tar.gz

BuildRequires: automake 
BuildRequires: gcc 
BuildRequires: make
BuildRequires: libavformat-free-devel
BuildRequires: libavutil-free-devel
BuildRequires: libavcodec-free-devel
BuildRequires: libswresample-free-devel 

%description
OpenOMX JPG decoder library with firmwware.
Build on Fedora 41.

%prep
%setup -q

%build
export CFLAGS="-Wall"
cd %{_builddir}/codaj12-jdec-1.0/codaj12
make -f codaj12_buildroot.mak clean
make -f codaj12_buildroot.mak


%install
cd %{_builddir}/codaj12-jdec-1.0/codaj12
make -f codaj12_buildroot.mak  install TARGET_DIR=%{buildroot} 
mv %{buildroot}/usr/lib %{buildroot}/usr/lib64


%files 
%{_libdir}/libcodadec.so
%{_includedir}/codaj12/




%changelog
* Wed Jul 10 2024 Leo Lu <leo.lu@starfivetech.com> - 1.0
- JH7110 OpenMAX Build Packages On F41.
